%define version 0.4.3
%define release 1mdk

%define libname_orig %mklibname %{name}
%define libname %{libname_orig}0

Name:           uim
Summary:        Uim is a multilingual input method library 
Version:        %{version}
Release:        %{release}
Group:		System/Internationalization
License:	GPL or BSD
URL:		http://freedesktop.org/Software/uim
Source0:	http://freedesktop.org/Software/UimDownload/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	anthy m17n-lib m17n-db
Requires:	%{libname} = %{version}-%{release}
Conflicts:	gtk+2.0 < 2.4.4-2mdk
Conflicts:	kinput2-wnn4
BuildRequires:  gtk+2-devel >= 2.4.0, libgnome2-devel
BuildRequires:  gnome-panel-devel xfce-panel-devel m17n-lib-devel

%description
Uim is a multilingual input method library. Uim's project goal is 
to provide secure and useful input method for all languages.

%package applet
Summary:	IM applet for uim using gnome2.
Group:		System/Internationalization
Requires:	%{name} = %{version}-%{release}
Prereq:		gtk+2.0

%description applet
Control applet using gnome2.

%package -n %{libname}
Summary:	UIM library.
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
UIM library.

%package -n %{libname}-devel
Summary:	Headers of uim for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%prep
%setup -q

%build
[[ ! -x configure ]] && ./autogen.sh
%configure2_5x --with-m17n
# fix fep build:
ln -fs ../uim fep
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sysconfdir=$RPM_BUILD_ROOT/%_sysconfdir

# remove unneeded files
rm -f %{buildroot}%{_libdir}/gtk-2.0/*/immodules/*.la \
      %{buildroot}%{_libdir}/gtk-2.0/*/immodules/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post applet
[[ -x %_bindir/gtk-query-immodules-2.0 ]] && \
	%_bindir/gtk-query-immodules-2.0 %_lib > /etc/gtk-2.0/gtk.immodules.%_lib

%postun applet
[[ -x %_bindir/gtk-query-immodules-2.0 ]] && \
	%_bindir/gtk-query-immodules-2.0 %_lib > /etc/gtk-2.0/gtk.immodules.%_lib

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README README.ja
%{_bindir}/uim-sh
%{_bindir}/uim-xim
%{_bindir}/uim-helper-server
%{_datadir}/uim

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files applet
%defattr(-,root,root)
%doc COPYING
%{_bindir}/uim-*
%{_libdir}/gtk-2.0/*/immodules/*.so
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/uim-helper-applet

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Sep 04 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.3-1mdk
- new release

* Sat Jul 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.2.1-1mdk
- new release

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2-1mdk
- new release
- fix build from official releases
- fix uim-fep build

* Thu Jul 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-3.svn1041.1mdk
- svn 1041

* Wed Jul 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-3.svn1029.1mdk
- svn 1029

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2.svn0997.2mdk
- biarch support

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2.svn0997.1mdk
- do not package useless files in doc
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o new release
  o svn 997

* Tue Jun 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.9-2.svn912.2mdk
- svn 912
- (source) svn checkout http://freedesktop.org:8080/svn/uim/trunk

* Mon Jun 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.9-1mdk
- new release
- remove patch 0 (merged upstream)

* Sun Jun 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.8-4mdk
- svn 899
- add patch0 (made by James - it will be merged)

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-3mdk
- rebuild for new g++

* Thu May 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-2mdk
- add m17n support (UTUMI Hirosi)

* Thu May 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-1mdk
- new release
- do not overwrite config files on update

* Thu Apr 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4.2-2mdk
- fix duplicated buildrequires

* Wed Apr 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4.2-1mdk
- new release
- fix buildrequires
- include download url in source0
- change summary and description (UTUMI Hirosi, by authors request)
- link with gtk+2.4.0 (because of new immodules path)

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.3-1mdk
- new release
- drop patches 0 and 1 (merged upstream)

* Fri Mar 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.8-5mdk
- Patch1: fix crash in nautilus

* Mon Mar 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-4mdk
- patch 0: fix numeric pad in KDE applications (transmitted by UTUMI Hirosi)

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 0.2.8-3mdk
- Sanitize spec file
- Fix post scripts
- Add missing requirement

* Sat Feb 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-2mdk
- build release

* Tue Feb 10 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.8-1mdk
- new version

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- fix build

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- fix group
- fix not localized messages catalog
- add ldconfig call
- fix unpackaged files
- kill useless requires guessed by rpm
- mklibname support
- initial upload based on UTUMI Hirosi <utuhiro78@yahoo.co.jp> work

* Sun Jan 11 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.4-1
- Version updated.
